Page MenuHomePhabricator

[LV] Create createInductionResumeValue helper.
ClosedPublic

Authored by fhahn on Sep 19 2022, 12:43 PM.

Details

Summary

Factor out the logic to create induction resume values for a specific
induction. This will be used in D92132 to support widened IVs during
epilogue vectorization.

Diff Detail

Event Timeline

fhahn created this revision.Sep 19 2022, 12:43 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 19 2022, 12:43 PM
Herald added a subscriber: hiraditya. · View Herald Transcript
fhahn requested review of this revision.Sep 19 2022, 12:43 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 19 2022, 12:43 PM
Ayal accepted this revision.Sep 20 2022, 12:37 AM

LGTM, adding minor nits.

llvm/lib/Transforms/Vectorize/LoopVectorize.cpp
3198

nit: indent?

3208

Probably meant to collect all BCResumeVals created and return them, but is currently dead code - better leave for subsequent patch and out of this refactoring patch?

This revision is now accepted and ready to land.Sep 20 2022, 12:37 AM
fhahn marked 2 inline comments as done.Sep 29 2022, 3:03 AM
fhahn added inline comments.
llvm/lib/Transforms/Vectorize/LoopVectorize.cpp
3198

Yes, it looks like clang-format-diff doesn't handle formatting here properly for some reason. Will fix manually.

3208

This was left over from an earlier version, removed!

fhahn updated this revision to Diff 463818.Sep 29 2022, 3:05 AM
fhahn marked 2 inline comments as done.

Rebased and nits addressed, will land soon.

This revision was landed with ongoing or failed builds.Sep 29 2022, 3:13 AM
This revision was automatically updated to reflect the committed changes.